ListBatch - HealthOmics API Reference

ListBatch

Returns a list of run batches in your account, with optional filtering by status, name, or run group. Results are paginated. Only one filter per call is supported.

Request Syntax

GET /runBatch?maxItems=maxItems&name=name&runGroupId=runGroupId&startingToken=startingToken&status=status HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxItems

The maximum number of batches to return. If not specified, defaults to 100.

Valid Range: Minimum value of 1. Maximum value of 100.

name

Filter batches by name.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

runGroupId

Filter batches by run group ID.

Length Constraints: Minimum length of 1. Maximum length of 18.

Pattern: [0-9]+

startingToken

A pagination token returned from a prior ListBatch call.

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

status

Filter batches by status.

Length Constraints: Minimum length of 1. Maximum length of 64.

Valid Values: PENDING | SUBMITTING | INPROGRESS | STOPPING | CANCELLED | FAILED | PROCESSED | RUNS_DELETING | RUNS_DELETED

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "createdAt": "string", "id": "string", "name": "string", "status": "string", "totalRuns": number, "workflowId": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

A list of batch summary objects. See BatchListItem.

Type: Array of BatchListItem objects

nextToken

A pagination token to retrieve the next page of results. Absent when no further results are available.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred. Try the request again.

HTTP Status Code: 500

RequestTimeoutException

The request timed out.

HTTP Status Code: 408

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: